camel-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Achim Nierbeck <bcanh...@googlemail.com>
Subject Re: [DISCUSS] - Upgrading Jetty version in Camel 2.12
Date Fri, 26 Apr 2013 06:36:36 GMT
Hi Claus,

the issue the api of Jetty 7 and 8 is not compatible, otherwise I'd go for
a +1 right away.
If you're able to make it compatible with 7 and 8, I'm fine with it. Just
need to make sure the features
don't start to import Jetty 8 and depend on Pax-Web 1.0.x or 1.1.x.

regards, Achim


2013/4/26 Claus Ibsen <claus.ibsen@gmail.com>

> Hi Achim
>
> The goal would be to be 7.6.x backwards compatible. But just by
> default use Jetty 8.x.
> This mainly helps NON OGSi deployments as when they use camel-jetty,
> they automatic get the maven dependencies on the newer 8.x versions.
>
> For Karaf / SMX users, the goal should be that camel-jetty would be
> compatible and installable in Karaf 2.x containers as well, where it
> uses whatever the Jetty version it offers (eg that would be Jetty
> 7.x).
>
> For example AFAIR Apache CXF 2.7 is Jetty 8.x in their maven
> dependencies, but installable in Karaf 2.x which uses Jetty 7.x.
>
> So if CXF can do it, then Camel can also.
>
>
>
>
> On Thu, Apr 25, 2013 at 10:53 PM, Achim Nierbeck
> <bcanhome@googlemail.com> wrote:
> > sounds good, though jetty 8 is only available for karaf 3.0.0 right now,
> > since Karaf 2.2.x line still depends on Pax-Web 1.0.x (Jetty 7) and Karaf
> > 2.3.x depends on Pax-Web 1.1 (still Jetty 7).
> > If you want Jetty 8 you need at least Pax-Web 2.1 or 3.0 (which is soon
> to
> > come).
> > Karaf 3.0.0.RC1 does use Pax-Web 3.0.0.M3.
> > Not sure if there will be a 2.4 of Karaf.
> > Just switching Jetty without changing Pax-Web won't work for Karaf due to
> > incompatible changes in the Jetty API.
> >
> > regards, Achim
> >
> >
> >
> > 2013/4/25 Christian Müller <christian.mueller@gmail.com>
> >
> >> +1
> >>
> >> Best,
> >> Christian
> >>
> >>
> >> On Thu, Apr 25, 2013 at 3:26 PM, Claus Ibsen <claus.ibsen@gmail.com>
> >> wrote:
> >>
> >> > Hi
> >> >
> >> > We are running with Jetty 7.6.x for a long time. For Camel 2.12 we
> >> > should IMHO consider upgrading to Jetty 8.x as the out of the box
> >> > version we use.
> >> >
> >> > We should be backwards compatible with Jetty 7.6 in this release. So
> >> > end users can use Camel in Karaf / SMX containers that rely on that "a
> >> > bit old version, to be honest".
> >> >
> >> >
> >> >
> >> > --
> >> > Claus Ibsen
> >> > -----------------
> >> > Red Hat, Inc.
> >> > FuseSource is now part of Red Hat
> >> > Email: cibsen@redhat.com
> >> > Web: http://fusesource.com
> >> > Twitter: davsclaus
> >> > Blog: http://davsclaus.com
> >> > Author of Camel in Action: http://www.manning.com/ibsen
> >> >
> >>
> >
> >
> >
> > --
> >
> > Apache Karaf <http://karaf.apache.org/> Committer & PMC
> > OPS4J Pax Web <http://wiki.ops4j.org/display/paxweb/Pax+Web/> Committer
> &
> > Project Lead
> > OPS4J Pax for Vaadin <http://team.ops4j.org/wiki/display/PAXVAADIN/Home>
> > Commiter & Project Lead
> > blog <http://notizblog.nierbeck.de/>
>
>
>
> --
> Claus Ibsen
> -----------------
> Red Hat, Inc.
> FuseSource is now part of Red Hat
> Email: cibsen@redhat.com
> Web: http://fusesource.com
> Twitter: davsclaus
> Blog: http://davsclaus.com
> Author of Camel in Action: http://www.manning.com/ibsen
>



-- 

Apache Karaf <http://karaf.apache.org/> Committer & PMC
OPS4J Pax Web <http://wiki.ops4j.org/display/paxweb/Pax+Web/> Committer &
Project Lead
OPS4J Pax for Vaadin <http://team.ops4j.org/wiki/display/PAXVAADIN/Home>
Commiter & Project Lead
blog <http://notizblog.nierbeck.de/>

Mime
  • Unnamed multipart/alternative (inline, None, 0 bytes)
View raw message